Subject: Ticket Assigned - Promotions or Gift Vouchers
From: Splash <[email-masked]>
To: [email-masked]
Date: Fri, 20 May 2022 19:47:30 +0000

Hi Amira Alanaz,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Promotions or Gift Vouchers I am trying to proceed for payment using the promo voucher code HOLID20. But the code is not excepting with a message that promo code will not be redeemed. While I did not use the code. However it was excepted in the beginning and while proceeding for payment it cannot and I am not getting discount for the usage of code. Can you please let me know to decide whether to proceed for payment or to cancel my selected items. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4370337